%global apiver 1.6
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

%global glibmm24_version 2.46.2

Name:           atkmm
Version:        2.28.3
Release:        1
Summary:        C++ bindings for the ATK library
License:        LGPLv2+
URL:            https://www.gtkmm.org/
Source0:        https://download.gnome.org/sources/atkmm/%{release_version}/atkmm-%{version}.tar.xz

BuildRequires:  meson gcc-c++ atk-devel glibmm24-devel >= %{glibmm24_version}
BuildRequires:  mm-common m4 perl doxygen graphviz libxslt
Requires:       glibmm24%{?_isa} >= %{glibmm24_version}

%description
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort <http://www.gtkmm.org/>.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        help
Summary:        Developer's documentation for the atkmm library
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-doc

%description    help
This package provides the documentation files for the ATK library's C++ bindings.

%prep
%autosetup -p1

%build
%meson -Dbuild-documentation=true
%meson_build

%install
%meson_install
%delete_la
%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libatkmm-%{apiver}.so.1*

%files devel
%{_includedir}/atkmm-%{apiver}/
%{_libdir}/libatkmm-%{apiver}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/atkmm-%{apiver}/

%files help
%doc AUTHORS NEWS
%doc %{_docdir}/atkmm-%{apiver}/
%doc %{_datadir}/devhelp/

%changelog
* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 2.28.3-1
- Update to 2.28.3 for gnome 42.6

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 2.28.2-1
- Update to 2.28.2

* Fri Jun 18 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 2.28.1-1
- Upgrade to 2.28.1
- Use meson rebuild

* Mon Jan 4 2021 Ge Wang <wangge20@huawei.com> - 2.24.2-9
- Modify license infomation

* Tue Nov 19 2019 mengxian <mengxian@huawei.com> - 2.24.2-8
- Package init
